<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="android.view.View" />

        <variable
            name="dialogFragmentBindingClass"
            type="com.bwael.exomind.common.dialogs.alertdialog.CustomDialogViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@android:color/white"
        android:paddingTop="10dp"
        android:paddingBottom="10dp">

        <TextView
            android:id="@+id/dialog_title"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:fontFamily="@font/opensans_semi_bold"
            android:gravity="center"
            android:text="@{dialogFragmentBindingClass.dialogData.first.title.first}"
            android:textColor="@color/colorAccent"
            android:textSize="16sp"
            android:visibility="@{dialogFragmentBindingClass.dialogData.first.title.second ? View.VISIBLE: View.GONE}"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintWidth_percent="0.6"
            tools:text="Nouveau client? " />

        <TextView
            android:id="@+id/dialog_desc"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:fontFamily="@font/opensans_light"
            android:gravity="center"
            android:text="@{dialogFragmentBindingClass.dialogData.first.description.first}"
            android:textColor="@color/colorAccent"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/dialog_title"
            app:layout_constraintWidth_percent="0.9"
            app:layout_goneMarginTop="0dp"
            tools:text="Créez votre compte pour profiter de nos ventes privilèges, gérer vos listes de cadeaux et faciliter vos commandes." />

        <LinearLayout
            style="?android:attr/buttonBarStyle"
            android:layout_width="0dp"
            android:layout_height="30dp"
            android:layout_marginTop="16dp"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/dialog_desc">

            <Button
                android:id="@+id/negative_btn"
                style="?android:attr/buttonBarButtonStyle"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:fontFamily="@font/opensans_semi_bold"
                android:text="@{dialogFragmentBindingClass.dialogData.first.negativeButtonText.first}"
                android:textColor="@color/colorAccent"
                android:visibility="@{dialogFragmentBindingClass.dialogData.first.negativeButtonText.second ? View.VISIBLE: View.GONE}"
                tools:text="@android:string/cut" />

            <Button
                android:id="@+id/neutral_btn"
                style="?android:attr/buttonBarButtonStyle"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:fontFamily="@font/opensans_semi_bold"
                android:text="@{dialogFragmentBindingClass.dialogData.first.positiveButtonText.first}"
                android:textColor="@color/colorAccent"
                android:visibility="@{dialogFragmentBindingClass.dialogData.first.neutralButtonText.second ? View.VISIBLE: View.GONE}"
                tools:text="@android:string/cancel" />

            <Button
                android:id="@+id/positive_btn"
                style="?android:attr/buttonBarButtonStyle"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:fontFamily="@font/opensans_semi_bold"
                android:text="@{dialogFragmentBindingClass.dialogData.first.positiveButtonText.first}"
                android:textColor="@color/colorAccent"
                tools:text="@android:string/ok" />
        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>